<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: _timlCNNLayer_ Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">_timlCNNLayer_ Struct Reference<div class="ingroups"><a class="el" href="group__cnn.html">cnn</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aa3cf77139133b0e43663703e3f1a1af5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3cf77139133b0e43663703e3f1a1af5"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>id</b></td></tr>
<tr class="separator:aa3cf77139133b0e43663703e3f1a1af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeece7a702bb2d3ebf28a613db6d60680"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeece7a702bb2d3ebf28a613db6d60680"></a>
timlCNNLayerType&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:aeece7a702bb2d3ebf28a613db6d60680"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a4ef2648b7d8a0ce1ad385236dd9681"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a4ef2648b7d8a0ce1ad385236dd9681"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>row</b></td></tr>
<tr class="separator:a8a4ef2648b7d8a0ce1ad385236dd9681"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a511ea4551837a4bf469f304e86f619ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a511ea4551837a4bf469f304e86f619ae"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>col</b></td></tr>
<tr class="separator:a511ea4551837a4bf469f304e86f619ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b5af3746bd4f2dd911b3c672c043e35"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b5af3746bd4f2dd911b3c672c043e35"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>channel</b></td></tr>
<tr class="separator:a3b5af3746bd4f2dd911b3c672c043e35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adddde5b98a3537d6d63643c2de0866ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adddde5b98a3537d6d63643c2de0866ef"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>featureMap</b></td></tr>
<tr class="separator:adddde5b98a3537d6d63643c2de0866ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6efc77ceacdcb3db3160157794e244cd"><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__timlCNNLayer__.html#a6efc77ceacdcb3db3160157794e244cd">delta</a></td></tr>
<tr class="separator:a6efc77ceacdcb3db3160157794e244cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada35d41231c64e873d79ab86266f0ba6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada35d41231c64e873d79ab86266f0ba6"></a>
timlUtilPhase&#160;</td><td class="memItemRight" valign="bottom"><b>phase</b></td></tr>
<tr class="separator:ada35d41231c64e873d79ab86266f0ba6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62677de6a150dd6a6269d192e91f4aad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62677de6a150dd6a6269d192e91f4aad"></a>
<a class="el" href="group__util.html#ga62247c3acaa170e3a75f9887ec21106f">timlUtilAllocatorLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><b>allocatorLevel</b></td></tr>
<tr class="separator:a62677de6a150dd6a6269d192e91f4aad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addc500b652e0362ca23e60ff7eb937de"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtimlCNNDropoutParams.html">timlCNNDropoutParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__timlCNNLayer__.html#addc500b652e0362ca23e60ff7eb937de">dropoutParams</a></td></tr>
<tr class="separator:addc500b652e0362ca23e60ff7eb937de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb555c9a1871b9fdb46eae353c917db0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb555c9a1871b9fdb46eae353c917db0"></a>
<a class="el" href="structtimlCNNInputParams.html">timlCNNInputParams</a>&#160;</td><td class="memItemRight" valign="bottom"><b>inputParams</b></td></tr>
<tr class="separator:afb555c9a1871b9fdb46eae353c917db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af365ddc466e35b5554e18a9553520aba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af365ddc466e35b5554e18a9553520aba"></a>
<a class="el" href="structtimlCNNConvParams.html">timlCNNConvParams</a>&#160;</td><td class="memItemRight" valign="bottom"><b>convParams</b></td></tr>
<tr class="separator:af365ddc466e35b5554e18a9553520aba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04cec00ee207e28a072ee85b4189793e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04cec00ee207e28a072ee85b4189793e"></a>
<a class="el" href="structtimlCNNNormParams.html">timlCNNNormParams</a>&#160;</td><td class="memItemRight" valign="bottom"><b>normParams</b></td></tr>
<tr class="separator:a04cec00ee207e28a072ee85b4189793e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac2986ad57e08e818c8ebc28c4cc9329"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac2986ad57e08e818c8ebc28c4cc9329"></a>
<a class="el" href="structtimlCNNPoolingParams.html">timlCNNPoolingParams</a>&#160;</td><td class="memItemRight" valign="bottom"><b>poolingParams</b></td></tr>
<tr class="separator:aac2986ad57e08e818c8ebc28c4cc9329"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefbe15200a1f6f7051d161cbb8331e32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aefbe15200a1f6f7051d161cbb8331e32"></a>
<a class="el" href="structtimlCNNNonlinearParams.html">timlCNNNonlinearParams</a>&#160;</td><td class="memItemRight" valign="bottom"><b>nonlinearParams</b></td></tr>
<tr class="separator:aefbe15200a1f6f7051d161cbb8331e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad86f8e54b47cc41b401344a6daaa2f32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad86f8e54b47cc41b401344a6daaa2f32"></a>
<a class="el" href="structtimlCNNLinearParams.html">timlCNNLinearParams</a>&#160;</td><td class="memItemRight" valign="bottom"><b>linearParams</b></td></tr>
<tr class="separator:ad86f8e54b47cc41b401344a6daaa2f32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c5210fa230c366b390732386064eeb8"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="struct__timlCNNLayer__.html">_timlCNNLayer_</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__timlCNNLayer__.html#a1c5210fa230c366b390732386064eeb8">prev</a></td></tr>
<tr class="separator:a1c5210fa230c366b390732386064eeb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a05e6c16229a5ea2b85390936443082"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a05e6c16229a5ea2b85390936443082"></a>
struct <a class="el" href="struct__timlCNNLayer__.html">_timlCNNLayer_</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>next</b></td></tr>
<tr class="separator:a3a05e6c16229a5ea2b85390936443082"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08768d9be8ae32039646afe3624eb7c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08768d9be8ae32039646afe3624eb7c2"></a>
struct <a class="el" href="struct__timlConvNeuralNetwork__.html">_timlConvNeuralNetwork_</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>cnn</b></td></tr>
<tr class="separator:a08768d9be8ae32039646afe3624eb7c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a6efc77ceacdcb3db3160157794e244cd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* _timlCNNLayer_::delta</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>partial derivative of the cost function with regard to each kernel </p>

</div>
</div>
<a class="anchor" id="addc500b652e0362ca23e60ff7eb937de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtimlCNNDropoutParams.html">timlCNNDropoutParams</a> _timlCNNLayer_::dropoutParams</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>only one of the layer-specific params structure is valid </p>

</div>
</div>
<a class="anchor" id="a1c5210fa230c366b390732386064eeb8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="struct__timlCNNLayer__.html">_timlCNNLayer_</a>* _timlCNNLayer_::prev</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>layers are connected with double linked list </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="timlCNN_8h_source.html">timlCNN.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
